RouterSnapshot (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.router, class: RouterSnapshot

Package org.apache.hadoop.hdfs.server.federation.router

# Class RouterSnapshot

java.lang.Object
org.apache.hadoop.hdfs.server.federation.router.RouterSnapshot

Direct Known Subclasses:
  `RouterAsyncSnapshot`

public class RouterSnapshot extends Object
Module that implements all the RPC calls related to snapshots in `ClientProtocol` in the `RouterRpcServer`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RouterSnapshot(RouterRpcServer server)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `allowSnapshot(String snapshotRoot)`
  `String`
  `createSnapshot(String snapshotRoot, String snapshotName)`
  `void`
  `deleteSnapshot(String snapshotRoot, String snapshotName)`
  `void`
  `disallowSnapshot(String snapshotRoot)`
  `org.apache.hadoop.hdfs.protocol.SnapshotDiffReport`
  `getSnapshotDiffReport(String snapshotRoot, String earlierSnapshotName, String laterSnapshotName)`
  `org.apache.hadoop.hdfs.protocol.SnapshotDiffReportListing`
  `getSnapshotDiffReportListing(String snapshotRoot, String earlierSnapshotName, String laterSnapshotName, byte[] startPath, int index)`
  `org.apache.hadoop.hdfs.protocol.SnapshotStatus[]`
  `getSnapshotListing(String snapshotRoot)`
  `org.apache.hadoop.hdfs.protocol.SnapshottableDirectoryStatus[]`
  `getSnapshottableDirListing()`
  `void`
  `renameSnapshot(String snapshotRoot, String oldSnapshotName, String newSnapshot)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RouterSnapshot

    public RouterSnapshot(RouterRpcServer server)

- ## Method Details

  - ### allowSnapshot

    public void allowSnapshot(String snapshotRoot) throws IOException
    Throws:
      `IOException`

  - ### disallowSnapshot

    public void disallowSnapshot(String snapshotRoot) throws IOException
    Throws:
      `IOException`

  - ### createSnapshot

    public String createSnapshot(String snapshotRoot, String snapshotName) throws IOException
    Throws:
      `IOException`

  - ### deleteSnapshot

    public void deleteSnapshot(String snapshotRoot, String snapshotName) throws IOException
    Throws:
      `IOException`

  - ### renameSnapshot

    public void renameSnapshot(String snapshotRoot, String oldSnapshotName, String newSnapshot) throws IOException
    Throws:
      `IOException`

  - ### getSnapshottableDirListing

    public org.apache.hadoop.hdfs.protocol.SnapshottableDirectoryStatus[] getSnapshottableDirListing() throws IOException
    Throws:
      `IOException`

  - ### getSnapshotListing

    public org.apache.hadoop.hdfs.protocol.SnapshotStatus[] getSnapshotListing(String snapshotRoot) throws IOException
    Throws:
      `IOException`

  - ### getSnapshotDiffReport

    public org.apache.hadoop.hdfs.protocol.SnapshotDiffReport getSnapshotDiffReport(String snapshotRoot, String earlierSnapshotName, String laterSnapshotName) throws IOException
    Throws:
      `IOException`

  - ### getSnapshotDiffReportListing

    public org.apache.hadoop.hdfs.protocol.SnapshotDiffReportListing getSnapshotDiffReportListing(String snapshotRoot, String earlierSnapshotName, String laterSnapshotName, byte[] startPath, int index) throws IOException
    Throws:
      `IOException`